opensaml::Status Class Referenceabstract

Base class for SAML status codes. More...

`#include <saml/RootObject.h>`

Inheritance diagram for opensaml::Status:
[legend]
Collaboration diagram for opensaml::Status:
[legend]

## Public Member Functions

virtual const XMLCh * | getTopStatus () const =0
| Returns a string representation of the top-level status code.
virtual const XMLCh * | getSubStatus () const =0
| Returns a string representation of the second-level status code, if any.
virtual bool | hasAdditionalStatus () const =0
| Returns true iff status information beyond the second level exists.
virtual const XMLCh * | getMessage () const =0
| Returns the message contained in the status, if any.

## Detailed Description

Base class for SAML status codes.

## Member Function Documentation

## getMessage()

virtual const XMLCh * opensaml::Status::getMessage | ( |  | ) | const

pure virtual

Returns the message contained in the status, if any.

Returns
  status message, or nullptr

## getSubStatus()

virtual const XMLCh * opensaml::Status::getSubStatus | ( |  | ) | const

pure virtual

Returns a string representation of the second-level status code, if any.

Returns
  string representation of second-level status code, or nullptr

## getTopStatus()

virtual const XMLCh * opensaml::Status::getTopStatus | ( |  | ) | const

pure virtual

Returns a string representation of the top-level status code.

Returns
  string representation of top-level status code

## hasAdditionalStatus()

virtual bool opensaml::Status::hasAdditionalStatus | ( |  | ) | const

pure virtual

Returns true iff status information beyond the second level exists.

Returns
  indicator of three or more status codes

The documentation for this class was generated from the following file:

- saml/RootObject.h